#!/bin/bash

# echo " "
# echo " dollar-zero AKA the first argument to this .command script is: "
# echo $0
# echo " "
cd "${0%/*}"

export PREFIX_CELLDRAW=$(pwd)

current_directory=$(pwd)


cd $PREFIX_CELLDRAW

echo "====> CellDraw working directory: $PREFIX_CELLDRAW"

export PYTHONLIB25=/System/Library/Frameworks/Python.framework/Versions/2.5/
export DYLD_LIBRARY_PATH=${PREFIX_CELLDRAW}/../Frameworks:$DYLD_LIBRARY_PATH
echo "====> PYTHONLIB25: $PYTHONLIB25"
echo "====> DYLD_LIBRARY_PATH: $DYLD_LIBRARY_PATH"

export PYTHONPATH=${PREFIX_CELLDRAW}/../Resources/site-packages:$PYTHONPATH
echo "====> PYTHONPATH directory: $PYTHONPATH"

export PATH=${PYTHONLIB25}/bin:${PYTHONLIB25}:$PATH
echo "====> PATH: $PATH"

export CELLDRAW_MAJOR_VERSION=1
export CELLDRAW_MINOR_VERSION=5
export CELLDRAW_BUILD_VERSION=0

/usr/bin/pythonw2.5 --version
echo "====> CellDraw $CELLDRAW_MAJOR_VERSION.$CELLDRAW_MINOR_VERSION.$CELLDRAW_BUILD_VERSION now starting from Python."

# on Mac OS X 10.5.x we explicitly call Python 2.5:
/usr/bin/pythonw2.5 ${PREFIX_CELLDRAW}/cellDrawMain.pyw &

cd ${current_directory}
